WordPress.org

Ready to get started?Download WordPress

Forums

Just updated to WP3.3 and can’t access to the admin zone (8 posts)

  1. e_arriero
    Member
    Posted 2 years ago #

    My site is up and running, however, When I click to go to the dashboard I can’t access to the admin zone. It says
    “Fatal error: Call to undefined function is_rtl() in /home/content/16/7787016/html/elsecreto/wp-includes/general-template.php on line 2102”

    I’m using a custome theme (I got someone to design It for me so and I’m a newbie), still if you could tell me what should I do pretty sure I could find my way…

    Appreciate if someone could help me.

    Thanks,

  2. Pothi
    Member
    Posted 2 years ago #

    You may want to have a look at Troubleshooting WordPress 3.3 Master List.

  3. e_arriero
    Member
    Posted 2 years ago #

    Hi Pothi,

    Thanks Pothi, I read it before, so would you suggest to manually upgrading it and/or - switching to the Twenty Eleven theme… those are the only ones that I found usefull.

    Please let me know.

    Your help is very appreciatted it!

  4. Pothi
    Member
    Posted 2 years ago #

    I'd recommend to take the current site to your local install and go from there. Troubleshooting something on the live site is not safe.

    On your local install:

    1. Try deactivating all the plugins.
    2. Try changing the theme to TwentyEleven or TwentyTen.
    3. If the issue persists, enable debugging in wp-config.php and see if you get any more errors.

  5. e_arriero
    Member
    Posted 2 years ago #

    Hi there,

    I just manually upgrade WP to WP3.3 and I could access to the admin zone(backend) however, when I was there it was suggesting me to upgrade it to WP3.3... (don't ask me why if I had just upgrade it). I click automatically upgrade and then when I tryed to access to the admin zone I receive again the "Fatal error: Call to undefined function is_rtl() in /home/content/16/7787016/html/elsecreto/wp-includes/general-template.php on line 2102"

    Any suggestions and/or any problem with leaving my site in the ver. before WP3.3?

    Thanks,

  6. Pothi
    Member
    Posted 2 years ago #

    any problem with leaving my site in the ver. before WP3.3?

    You wouldn't want to lose all your hardwork on your site when someone intrudes and changes everything on the site. Would you? Older versions of WordPress are not maintained with security updates.

  7. StevePaulMyers
    Member
    Posted 2 years ago #

    I have the same error -
    Fatal error: Call to undefined function is_rtl() in /home/totalwsi/public_html/cgfit_test/wp-includes/general-template.php on line 2102

    Have you managed to resolve this issue yet?

  8. e_arriero
    Member
    Posted 2 years ago #

    Hi Steve,

    No I haven't. I tried plenty of times to manually upgrade, however it didn't work.

    I manually downgrade to WP 3.2.1 and then it worked. I'm staying there for a couple of days and then will try to upgrade again.

    What I have read so far is that WP3.3 is not a security update, thus we shouldn't rush.

    If you have managed to resolve it, please let me know.

    Thanks,

Topic Closed

This topic has been closed to new replies.

About this Topic